Spaces
Get a space
One space with its current minute balance. Request it before every upload.
GET
/
api
/
spaces
/
{space_id}
/
curl -X GET "https://api.aigenda.tech/api/spaces/1024/" \
-H "Authorization: Bearer <access>"
import requests
response = requests.get(
"https://api.aigenda.tech/api/spaces/1024/",
headers={"Authorization": "Bearer <access>"},
timeout=30,
)
response.raise_for_status()
print(response.json())
const response = await fetch("https://api.aigenda.tech/api/spaces/1024/", {
method: "GET",
headers: { Authorization: "Bearer <access>" },
});
const data = await response.json();
console.log(data);
{
"id": 1024,
"name": "Personal space",
"description": "Main space",
"subscribe": {
"offer": {
"name": "PRO",
"audio_limit": 72000
},
"usage_count": 5400,
"available_usage_count": 66600,
"is_active": true,
"end_date": "2026-11-17"
}
}
{
"detail": "You do not have permission to perform this action."
}
Path parameters
integer
required
Space ID.
Response
integer
Space ID.
string
Name.
string
Plan.
integer
Seconds included in the plan per period.
integer
Seconds used.
integer
Seconds left.
boolean
The subscription is active.
string
End of the period, a
YYYY-MM-DD date.curl -X GET "https://api.aigenda.tech/api/spaces/1024/" \
-H "Authorization: Bearer <access>"
import requests
response = requests.get(
"https://api.aigenda.tech/api/spaces/1024/",
headers={"Authorization": "Bearer <access>"},
timeout=30,
)
response.raise_for_status()
print(response.json())
const response = await fetch("https://api.aigenda.tech/api/spaces/1024/", {
method: "GET",
headers: { Authorization: "Bearer <access>" },
});
const data = await response.json();
console.log(data);
{
"id": 1024,
"name": "Personal space",
"description": "Main space",
"subscribe": {
"offer": {
"name": "PRO",
"audio_limit": 72000
},
"usage_count": 5400,
"available_usage_count": 66600,
"is_active": true,
"end_date": "2026-11-17"
}
}
{
"detail": "You do not have permission to perform this action."
}
Last modified on October 17, 2026
⌘I
curl -X GET "https://api.aigenda.tech/api/spaces/1024/" \
-H "Authorization: Bearer <access>"
import requests
response = requests.get(
"https://api.aigenda.tech/api/spaces/1024/",
headers={"Authorization": "Bearer <access>"},
timeout=30,
)
response.raise_for_status()
print(response.json())
const response = await fetch("https://api.aigenda.tech/api/spaces/1024/", {
method: "GET",
headers: { Authorization: "Bearer <access>" },
});
const data = await response.json();
console.log(data);
{
"id": 1024,
"name": "Personal space",
"description": "Main space",
"subscribe": {
"offer": {
"name": "PRO",
"audio_limit": 72000
},
"usage_count": 5400,
"available_usage_count": 66600,
"is_active": true,
"end_date": "2026-11-17"
}
}
{
"detail": "You do not have permission to perform this action."
}